﻿@model IContentBlockViewModel<TextSectionWithnRow>

<section class="big-section wow fadeIn">
    <div class="container">
        <div class="row">
            <div class="col-lg-9 col-md-10 col-12 margin-six-bottom">
                @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
                {
                    <h5 class="text-extra-dark-gray ">@Model.Content.Value("heading").ToString()</h5>
                }
            </div>
        </div>
        @if (Model.Content.HasValue("rows"))
        {
            foreach (var item in Model.Content.Rows)
            {
                <div class="row margin-five-bottom sm-margin-ten-bottom">
                    <div class="col-lg-2 col-md-2 col-12 sm-margin-15px-bottom">
                        @if (!string.IsNullOrEmpty(item.Heading))
                        {
                            <span class="text-extra-dark-gray text-large">@item.Heading</span>
                        }
                    </div>
                    <div class="col-lg-7 col-md-7 col-12 last-paragraph-no-margin col-12 sm-margin-15px-bottom">
                        @if (item.Description != null)
                        {
                            <div class="text-medium line-height-28 width-90 sm-width-100">
                                @Html.Raw(item.Description)
                            </div>
                        }
                    </div>
                    <div class="col-lg-2 offset-lg-1 col-md-3 col-12 md-text-right sm-text-left">
                        @if (item.Link != null)
                        {
                            <a href="@item.Link.Url"
                               class="font-weight-500 text-uppercase text-outside-line-left d-inline-block text-small">@item.Link.Name</a>
                        }
                    </div>
                </div>
            }

        }
    </div>
</section>
